dpkg-buildpackage(1)

NAZWA
dpkg-buildpackage - buduje pakiety źródłowe lub binarne ze źródeł

SKŁADNIA
dpkg-buildpackage [opcje]

OPIS
dpkg-buildpackage jest programem automatyzującym proces budowania pakietu Debiana. Proces ten składa się z następujących kroków:

1.  It prepares the build environment by setting various environment variables (see ENVIRONMENT) and calls dpkg-source --before-build (unless -T or --target has been used).

2.  Sprawdza czy zależności i konflikty czasu budowania są spełnione (o ile nie jest podane -d).

3.  Jeśli określony cel został wskazany z użyciem opcji -T lub --target, wywołuje ten cel i na tym kończy. W przeciwnym wypadku wywołuje fakeroot debian/rules clean, aby wyczyścić drzewo budowania pakietu (chyba że użyje się opcji -nc).

4.  It calls dpkg-source -b to generate the source package (unless a binary-only build has been requested with -b, -B or -A).

5.  Wywołuje debian/rules build, a następnie fakeroot debian/rules binary-target (chyba że żądano tylko zbudowania pakietu źródłowego, podając opcję -S). Proszę zauważyć, że binary-target ma wartość binary (domyślnie, lub gdy podano -b), binary-arch (jeśli podano -B) lub binary-indep (jeśli podano -A).

6.  Wywołuje gpg aby podpisać plik .dsc (jeśli jest, chyba że podano opcję -us).

7.  Wywołuje dpkg-genchanges aby wygenerować plik .changes. Do dpkg-genchanges przekazywanych jest wiele opcji dpkg-buildpackage.

8.  Wywołuje gpg aby podpisać plik .changes (chyba że podano opcję -uc).

9.  If -tc is specified, it will call fakeroot debian/rules clean again. Finally it calls dpkg-source --after-build.

OPCJE

-b  Określa budowanie tylko pakietów binarnych, żadne pliki źródłowe nie będą budowane ani dystrybuowane. Przekazywane do dpkg-genchanges.

-B  Określa budowanie tylko pakietów binarnych, ograniczone do pakietów zależnych od architektury. Przekazywane do dpkg-genchanges.

-A  Określa budowanie tylko pakietów binarnych, ograniczone do pakietów niezależnych od architektury. Przekazywane do dpkg-genchanges.

-S  Określa budowanie tylko pakietów źródłowych, bez budowania pakietów binarnych. Przekazywane do dpkg-genchanges.

-F  Specifies a normal full build, binary and source packages will be built. This is the same as the default case when no build option is specified.

--target=cel
--target cel
-Tcel
    Wywołuje debian/rules cel po przygotowaniu środowiska budowania i na tym kończy proces budowania pakietu. Jeśli podana została również opcja --as-root, wtedy polecenie to jest wykonywane z prawami administratora. Proszę zauważyć, że cele oficjalnie określone w Polityce Debiana jako wymagające uruchamiania z prawami administratora nie wymagają tej opcji.

--as-root
    Znacząca jedynie w połączeniu z opcją --target. Wymusza uruchomienie celu z prawami administratora.

-si
-sa
-sd
-vwersja
-Copis_zmian
-madres opiekuna
-eadres_opiekuna
    Przekazywana bez zmian do dpkg-genchanges. Więcej informacji na stronie podręcznika tego programu.

-aarchitektura
    Określa architekturę Debiana dla której jest budowany pakiet. Architektura maszyny, na której jest budowany pakiet, jest określana automatycznie i stanowi również domyślną architekturę docelową.

-ttyp-systemu-gnu
    Określa typ systemu GNU, dla którego budujemy. Może być użyte zamiast -a lub jako uzupełnienie do nadpisania domyślnego typu systemu GNU docelowej architektury Debiana.

-jzadania
    Liczba zadań, które mogą zostać równocześnie uruchomione, odpowiednik opcji make(1) o tej samej nazwie. Dodaje się do zmiennej środowiskowej MAKEFLAGS, co powinno spowodować, że wszystkie kolejne wywołania programu make odziedziczą tę opcję. Także dodaje parallel=zadania do zmiennej środowiskowej DEB_BUILD_OPTIONS, co pozwala plikom debian/rules na korzystanie z tej informacji dla ich własnych celów. Wartość parallel=zadania zmiennej środowiska DEB_BUILD_OPTIONS nadpisuje wartość przekazaną w opcji -j, jeśli została ona podana.

-D  Sprawdza zależności i konflikty czasu budowania, przerywa działanie z błędem jeżeli nie będą spełnione. Jest to zachowanie domyślne.

-d  Nie sprawdza zależności czasu budowania ani konfliktów.

-nc Pomija czyszczenie drzewa źródeł pakietu (implikuje -b, jeśli nic innego nie zostało wybrane spośród -B, -A oraz -S).

-tc Po zbudowaniu pakietu czyści katalog ze źródłami (używając gain-root-command debian/rules clean).

-rpolecenie-uzyskiwania-praw-administratora
    Kiedy dpkg-buildpackage potrzebuje wykonać część procesu budowania jako administrator, poprzedza wykonywane polecenia poleceniem-uzyskiwania-praw-administratora, jeśli takowe zostało podane. Jeśli natomiast nie zostało podane, zostanie domyślnie użyte polecenie fakeroot, o ile jest dostępne. polecenie-uzyskiwania-praw-administratora powinno zaczynać się nazwą programu dostępnego przez zmienną systemową PATH, któremu będą przekazywane argumenty w postaci właściwego programu do wykonania oraz jego parametrów. polecenie-uzyskiwania-praw-administratora może samo zawierać parametry (muszą być one rozdzielone spacjami), ale nie może zawierać metaznaków powłoki. poleceniem-uzyskiwania-praw-administratora mogą typowo być fakeroot, sudo, super lub really. su nie nadaje się do tego celu, ponieważ może tylko wywołać powłokę użytkownika używając -c zamiast przekazywać indywidualnie argumenty dla polecenia do wykonania.

-Rplik_rules
    Budowanie pakietu Debiana zwykle wymaga wywołania debian/rules jako polecenia z kilkoma standardowymi parametrami. Używając tej opcji można podać wywołanie innego programu, który posłuży do zbudowania pakietu (może także zawierać dodatkowe parametry rozdzielone spacjami). Może być także użyta do wykonania standardowego pliku reguł z użyciem innego programu make (np. podając /usr/local/bin/make -f debian/rules jako plik_rules).

-ppolecenie-podpisywania
    Gdy dpkg-buildpackage będzie potrzebował wywołać GPG lub PGP aby podpisać plik kontrolny źródeł (.dsc) lub plik .changes, zostanie uruchomione polecenie-podpisywania (w razie konieczności przeszukując PATH) zamiast gpg. Parametry normalnie przekazywane do pgp zostaną przekazane do polecenia-podpisywania. Jeśli polecenie-podpisywania przyjmuje argumenty w stylu GPG zamiast atylu PGP, należy użyć opcji -sgpg. polecenie-podpisywania nie powinno zawierać spacji ani innych metaznaków powłoki.

-kid-klucza
    Określa ID klucza używanego do podpisywania pakietów.

-us Nie próbuje podpisywać pakietów.

-uc Nie próbuje podpisywać plików .changes.

-i[wyraż_regularne]
-I[wzorzec]
-s[nsAkurKUR]
-z, -Z
    Przekazywana bez zmian do dpkg-source. Więcej informacji na stronie podręcznika tego programu

--source-option=opt
    Pass option opt to dpkg-source.

--changes-option=opt
    Pass option opt to dpkg-genchanges.

--admindir=katalog
--admindir katalog
    Zmienia położenie bazy danych dpkg. Domyślnie jest to /var/lib/dpkg.

-h, --help
    Wyświetla informację o użytkowaniu i kończy działanie.

--version
    Wyświetla informację o wersji i pomyślnie kończy działanie.

ŚRODOWISKO
Even if dpkg-buildpackage export some variables, debian/rules should not rely on their presence and should instead use the respective interface to retrieve the needed values.

  Zmienne ustawiane przez dpkg-architecture
Wywołuje program dpkg-architecture z przekazaniem parametrów -a oraz -t. Wszystkie zmienne uzyskane na wyjściu dzięki jego opcji -s są dołączane do środowiska budowania.

  Flagi kompilatora
The CFLAGS, CXXFLAGS, FFLAGS, CPPFLAGS and LDFLAGS environment variables are set to the values that dpkg-buildflags returned. See its manual page for more information.

BŁĘDY
Powinno być możliwe podanie spacji, metaznaków powłoki oraz argumentów dla gain-root-command oraz sign-command.

ZOBACZ TAKŻE
dpkg-source(1), dpkg-architecture(1), dpkg-genchanges(1), fakeroot(1), gpg(1).

AUTORZY
Copyright © 1995-1996 Ian Jackson
Copyright © 2000 Wichert Akkerman
Copyright © 2007 Frank Lichtenheld
Copyright © 2008-2010 Raphaël Hertzog

Niniejszy program jest oprogramowaniem wolnym, sprawdź Powszechną Licencję Publiczną GNU w wersji drugiej lub późniejszej, by dowiedzieć się o warunkach dystrybucji. Brak JAKIEJKOLWIEK gwarancji.

TŁUMACZE
Piotr Roszatycki <dexter@debian.org>, 1999
Bartosz Feński <fenio@debian.org>, 2004-2005
Robert Luberda <robert@debian.org>, 2006-2008
Wiktor Wandachowicz <siryes@gmail.com>, 2008